Library Version 18.1.40

clear
Prev | Chapter 4. Db_vector | Next

## clear

### Function Details

    void clear(bool b_truncate=true)

Remove all elements of the vector, make it an empty vector.

This function supports auto-commit.

#### Parameters

##### b_truncate

Same as that of db_vector::assign() .

#### See Also

http://www.cplusplus.com/reference/vector/vector/clear/

### Class

db_vector

Prev | Up | Next
swap | Home | Chapter 5. Db_map